#ifndef __Exception_h__
#define __Exception_h__

#include "includes"

namespace core {
   
   class Exception {
      
    public:
      Exception(std::string text, std::string file = __FILE__, int line = __LINE__, int errorNumber = -1);
      ~Exception();
      
      std::string className;
      std::string file;
      int line;
      std::string text;
      int errorNumber;
      
   };

}

#endif
